#!/bin/bash

PATH_TO_ROPGADGET=ROPgadget/ROPgadget.py

# INSTALLATION
#
# Requires to install ROPgadget before:
#   https://github.com/JonathanSalwan/ROPgadget
# Alternatively, on Debian systems:
#   apt install python3-ropgadget

# USAGE
#
# libc is typically a great way to start searching for ROP gadgets, as
# it's linked to typical processes. To find the exact libc path on your
# system, you can use ldd; e.g.,
#   ldd /bin/sh
# reveals which libc version (and file) your shell linked against.

# The following command will 
${PATH_TO_ROPGADGET} --binary /lib/x86_64-linux-gnu/libc.so.6 --all
